using System;
using System.Linq;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;

using SmartX;
using INT_LKD_2.Forms;
using INT_LKD_2.DataStore;

namespace INT_LKD_2.Controls
{
    public partial class ControlMenuSystemStatus1 : UserControl
    {
        #region Field
        private FormMenu m_ParentForm;

        private double m_ScaleDiff;

        private Collection<SmartLabel> CollectionLabelProgress;

        private Collection<SmartLabel> CollectionLabelResult;
        private Collection<SmartLabel> CollectionLabelResultDiff;
        private Collection<SmartLabel> CollectionLabelResultDisp;

        private Collection<SmartLabel> CollectionDiffSecDiff;
        private Collection<SmartLabel> CollectionPressureWork;
        private Collection<SmartLabel> CollectionPressureMaster;
        #endregion

        #region Constructor
        public ControlMenuSystemStatus1(FormMenu parent)
        {
            InitializeComponent();

            this.ParentForm = parent;
            this.Initialize();
            this.InitializeData();
            this.InitializeDraw();
        }
        #endregion

        #region Property
        public FormMenu ParentForm
        {
            get { return this.m_ParentForm; }
            private set { this.m_ParentForm = value; }
        }

        public double ScaleDiff
        {
            get { return this.m_ScaleDiff; }
            set { this.m_ScaleDiff = value; }
        }
        #endregion

        #region Method
        private void Initialize()
        {
            this.smartGroupBox1.Text = "System > Equipment";

            this.CollectionLabelProgress = new Collection<SmartLabel>();
            this.CollectionLabelProgress.Clear();
            this.CollectionLabelProgress.Add(this.labelProgress1);
            this.CollectionLabelProgress.Add(this.labelProgress2);
            this.CollectionLabelProgress.Add(this.labelProgress3);
            this.CollectionLabelProgress.Add(this.labelProgress4);
            this.CollectionLabelProgress.Add(this.labelProgress5);
            this.CollectionLabelProgress.Add(this.labelProgress6);
            this.CollectionLabelProgress.Add(this.labelProgress7);
            this.CollectionLabelProgress.Add(this.labelProgress8);
            this.CollectionLabelProgress.Add(this.labelProgress9);
            this.CollectionLabelProgress.Add(this.labelProgress10);

            this.CollectionLabelResult = new Collection<SmartLabel>();
            this.CollectionLabelResult.Add(this.labelResult1);
            this.CollectionLabelResult.Add(this.labelResult2);
            this.CollectionLabelResult.Add(this.labelResult3);
            this.CollectionLabelResult.Add(this.labelResult4);
            this.CollectionLabelResult.Add(this.labelResult5);
            this.CollectionLabelResult.Add(this.labelResult6);
            this.CollectionLabelResult.Add(this.labelResult7);
            this.CollectionLabelResult.Add(this.labelResult8);
            this.CollectionLabelResult.Add(this.labelResult9);
            this.CollectionLabelResult.Add(this.labelResult10);
            this.CollectionLabelResult.Add(this.labelResult11);
            this.CollectionLabelResult.Add(this.labelResult12);

            this.CollectionLabelResultDiff = new Collection<SmartLabel>();
            this.CollectionLabelResultDiff.Add(this.labelResultDiff1);
            this.CollectionLabelResultDiff.Add(this.labelResultDiff2);
            this.CollectionLabelResultDiff.Add(this.labelResultDiff3);
            this.CollectionLabelResultDiff.Add(this.labelResultDiff4);
            this.CollectionLabelResultDiff.Add(this.labelResultDiff5);
            this.CollectionLabelResultDiff.Add(this.labelResultDiff6);
            this.CollectionLabelResultDiff.Add(this.labelResultDiff7);
            this.CollectionLabelResultDiff.Add(this.labelResultDiff8);
            this.CollectionLabelResultDiff.Add(this.labelResultDiff9);
            this.CollectionLabelResultDiff.Add(this.labelResultDiff10);
            this.CollectionLabelResultDiff.Add(this.labelResultDiff11);
            this.CollectionLabelResultDiff.Add(this.labelResultDiff12);

            this.CollectionLabelResultDisp = new Collection<SmartLabel>();
            this.CollectionLabelResultDisp.Add(this.labelResultDisp1);
            this.CollectionLabelResultDisp.Add(this.labelResultDisp2);
            this.CollectionLabelResultDisp.Add(this.labelResultDisp3);
            this.CollectionLabelResultDisp.Add(this.labelResultDisp4);
            this.CollectionLabelResultDisp.Add(this.labelResultDisp5);
            this.CollectionLabelResultDisp.Add(this.labelResultDisp6);
            this.CollectionLabelResultDisp.Add(this.labelResultDisp7);
            this.CollectionLabelResultDisp.Add(this.labelResultDisp8);
            this.CollectionLabelResultDisp.Add(this.labelResultDisp9);
            this.CollectionLabelResultDisp.Add(this.labelResultDisp10);
            this.CollectionLabelResultDisp.Add(this.labelResultDisp11);
            this.CollectionLabelResultDisp.Add(this.labelResultDisp12);

            this.CollectionDiffSecDiff = new Collection<SmartLabel>();
            this.CollectionDiffSecDiff.Add(this.labelDiffSecDiff1);
            this.CollectionDiffSecDiff.Add(this.labelDiffSecDiff2);
            this.CollectionDiffSecDiff.Add(this.labelDiffSecDiff3);
            this.CollectionDiffSecDiff.Add(this.labelDiffSecDiff4);
            this.CollectionDiffSecDiff.Add(this.labelDiffSecDiff5);
            this.CollectionDiffSecDiff.Add(this.labelDiffSecDiff6);
            this.CollectionDiffSecDiff.Add(this.labelDiffSecDiff7);
            this.CollectionDiffSecDiff.Add(this.labelDiffSecDiff8);
            this.CollectionDiffSecDiff.Add(this.labelDiffSecDiff9);
            this.CollectionDiffSecDiff.Add(this.labelDiffSecDiff10);
            this.CollectionDiffSecDiff.Add(this.labelDiffSecDiff11);
            this.CollectionDiffSecDiff.Add(this.labelDiffSecDiff12);

            this.CollectionPressureWork = new Collection<SmartLabel>();
            this.CollectionPressureWork.Add(this.labelPressureWorking1);
            this.CollectionPressureWork.Add(this.labelPressureWorking2);
            this.CollectionPressureWork.Add(this.labelPressureWorking3);
            this.CollectionPressureWork.Add(this.labelPressureWorking4);
            this.CollectionPressureWork.Add(this.labelPressureWorking5);
            this.CollectionPressureWork.Add(this.labelPressureWorking6);
            this.CollectionPressureWork.Add(this.labelPressureWorking7);
            this.CollectionPressureWork.Add(this.labelPressureWorking8);
            this.CollectionPressureWork.Add(this.labelPressureWorking9);
            this.CollectionPressureWork.Add(this.labelPressureWorking10);
            this.CollectionPressureWork.Add(this.labelPressureWorking11);
            this.CollectionPressureWork.Add(this.labelPressureWorking12);

            this.CollectionPressureMaster = new Collection<SmartLabel>();
            this.CollectionPressureMaster.Add(this.labelPressureMaster1);
            this.CollectionPressureMaster.Add(this.labelPressureMaster2);
            this.CollectionPressureMaster.Add(this.labelPressureMaster3);
            this.CollectionPressureMaster.Add(this.labelPressureMaster4);
            this.CollectionPressureMaster.Add(this.labelPressureMaster5);
            this.CollectionPressureMaster.Add(this.labelPressureMaster6);
            this.CollectionPressureMaster.Add(this.labelPressureMaster7);
            this.CollectionPressureMaster.Add(this.labelPressureMaster8);
            this.CollectionPressureMaster.Add(this.labelPressureMaster9);
            this.CollectionPressureMaster.Add(this.labelPressureMaster10);
            this.CollectionPressureMaster.Add(this.labelPressureMaster11);
            this.CollectionPressureMaster.Add(this.labelPressureMaster12);
        }
        public void InitializeData()
        {
            for (int i = 0; i < this.ParentForm.ParentForm.SystemConfig.EQUIPMENT_LANE; i++)
            {
                this.CollectionLabelResult[i].Text = "-";
                this.CollectionLabelResult[i].TextColor = Define.ColorTextResultNone;
                this.CollectionLabelResult[i].Visible = false;

                this.CollectionLabelResultDiff[i].Text = "-";
                this.CollectionLabelResultDiff[i].TextColor = Define.ColorTextResultNone;
                this.CollectionLabelResultDiff[i].Visible = false;

                this.CollectionLabelResultDisp[i].Text = "-";
                this.CollectionLabelResultDisp[i].TextColor = Define.ColorTextResultNone;
                this.CollectionLabelResultDisp[i].Visible = false;

                this.CollectionDiffSecDiff[i].Text = "0.00";
                this.CollectionPressureWork[i].Text = "0.0";
                this.CollectionPressureMaster[i].Text = "0.0";
            }

            this.InitializeMeasuringData();
        }
        private void InitializeDraw()
        {
            // SetChartConfig
            this.smartDraw1.Chart.SetChartConfig(10, 242, 405, 230, 2, SmartDraw.ChartRefresh.LEFTSCROLL);
            this.smartDraw2.Chart.SetChartConfig(10, 242, 405, 230, 2, SmartDraw.ChartRefresh.LEFTSCROLL);

            // BackLayer 기준선 표시
            this.smartDraw1.BackLayer.SetPenStyle(Color.Gray, 2);
            this.smartDraw2.BackLayer.SetPenStyle(Color.Gray, 2);
            // BackLayer 세로
            this.smartDraw1.BackLayer.Line(10, 12, 10, 242);
            this.smartDraw2.BackLayer.Line(10, 12, 10, 242);
            // BackLayer 가로 -2.000
            this.smartDraw1.BackLayer.Line(10, 242, 415, 242);
            this.smartDraw2.BackLayer.Line(10, 242, 415, 242);

            this.smartDraw1.Chart.ChartChannelPenStyle = this.smartDraw_ChartChannelPenStyle1;
            this.smartDraw2.Chart.ChartChannelPenStyle = this.smartDraw_ChartChannelPenStyle1;
        }
        private void InitializeMeasuringData()
        {
            // Measuring : 1 Lane
            this.labelMesResult1.Text = "-";
            this.labelMesDispRData1.Text = "0.00";
            this.labelMesDispMData1.Text = "0.00";
            this.labelMesDispMDataDiff1.Text = "0.00";
            this.labelMesDispMDataMax1.Text = "0.00";
            this.labelMesDiffMadc1.Text = "0.00";
            this.labelMesDiffSecDiff1.Text = "0.00";
            this.labelMesDiffSecSum1.Text = "0.00";
            this.labelMesDiffSecMax1.Text = "0.00";
            this.labelMesPressureMaster1.Text = "0.0";
            this.labelMesPressureWork1.Text = "0.0";

            // Measuring : 2 Lane
            this.labelMesResult2.Text = "-";
            this.labelMesDispRData2.Text = "0.00";
            this.labelMesDispMData2.Text = "0.00";
            this.labelMesDispMDataDiff2.Text = "0.00";
            this.labelMesDispMDataMax2.Text = "0.00";
            this.labelMesDiffMadc2.Text = "0.00";
            this.labelMesDiffSecDiff2.Text = "0.00";
            this.labelMesDiffSecSum2.Text = "0.00";
            this.labelMesDiffSecMax2.Text = "0.00";
            this.labelMesPressureMaster2.Text = "0.0";
            this.labelMesPressureWork2.Text = "0.0";

            this.smartDraw1.Chart.PutDataAllClear();
            this.smartDraw2.Chart.PutDataAllClear();
        }

        private void GetJudgmentResult(Define.E_JudgmentStatus judg, SmartLabel label2)
        {
            string value = "";

            switch (judg)
            {
                case Define.E_JudgmentStatus.None:
                    value = "-";
                    label2.TextColor = Define.ColorTextResultNone;
                    break;
                case Define.E_JudgmentStatus.Pass:
                    value = "Pass";
                    label2.TextColor = Define.ColorTextResultPass;
                    break;
                case Define.E_JudgmentStatus.Ng:
                    value = "Leak";
                    label2.TextColor = Define.ColorTextResultNG;
                    break;
                case Define.E_JudgmentStatus.Empty:
                    value = "Empty";
                    label2.TextColor = Define.ColorTextResultNone;
                    break;
                case Define.E_JudgmentStatus.Error:
                    value = "Error";
                    label2.TextColor = Define.ColorTextResultNone;
                    break;
                default:
                    break;
            }

            if (label2.Text != value)
                label2.Text = value;

            label2.Visible = true;
        }
        private void GetJudgmentResultDiff(Define.E_JudgmentStatus judg, SmartLabel label)
        {
            string value = "Diff";

            switch (judg)
            {
                case Define.E_JudgmentStatus.None:
                    label.TextColor = Define.ColorTextResultNone;
                    break;
                case Define.E_JudgmentStatus.Pass:
                    label.TextColor = Define.ColorTextResultPass;
                    break;
                case Define.E_JudgmentStatus.Ng:
                    label.TextColor = Define.ColorTextResultNG;
                    break;
                case Define.E_JudgmentStatus.Empty:
                    label.TextColor = Define.ColorTextResultNone;
                    break;
                case Define.E_JudgmentStatus.Error:
                    label.TextColor = Define.ColorTextResultNone;
                    break;
                default:
                    break;
            }

            if (label.Text != value)
                label.Text = value;

            label.Visible = true;
        }
        private void GetJudgmentResultDisp(Define.E_JudgmentStatus judg, SmartLabel label)
        {
            string value = "Disp";

            switch (judg)
            {
                case Define.E_JudgmentStatus.None:
                    label.TextColor = Define.ColorTextResultNone;
                    break;
                case Define.E_JudgmentStatus.Pass:
                    label.TextColor = Define.ColorTextResultPass;
                    break;
                case Define.E_JudgmentStatus.Ng:
                    label.TextColor = Define.ColorTextResultNG;
                    break;
                case Define.E_JudgmentStatus.Empty:
                    label.TextColor = Define.ColorTextResultNone;
                    break;
                case Define.E_JudgmentStatus.Error:
                    label.TextColor = Define.ColorTextResultNone;
                    break;
                default:
                    break;
            }

            if (label.Text != value)
                label.Text = value;

            label.Visible = true;
        }

        public void CalScaleDiff(string limit)
        {
            int iValue = 0;

            // Lr Limit 설정값
            // double to int
            // 소수점 2자리 고정
            iValue = int.Parse(limit.Replace(".", ""));

            // 그래프 높이 230
            this.ScaleDiff = (iValue * 10) / 230;
        }
        /// <summary>
        /// 차압센서 그래프 기준선
        /// </summary>
        /// <param name="value">Lr.Limit</param>
        public void DrawDiffReferenceLine(string value)
        {
            string sValue = "";
            int iValue = 0;
            double dValue = 0.0;

            sValue = value.Replace(".", "");
            dValue = int.Parse(sValue) / this.ScaleDiff;

            if (dValue > 230)
                dValue = 230;
            if (dValue < 1)
                dValue = 3;

            iValue = int.Parse(string.Format("{0:f0}", dValue));

            this.smartDraw1.BackLayer.Erase();
            this.smartDraw2.BackLayer.Erase();
            this.InitializeDraw();
            // 가로 기준선
            this.smartDraw1.BackLayer.SetPenStyle(Color.Blue, 2);
            this.smartDraw1.BackLayer.Line(10, 242 - iValue, 415, 242 - iValue);
            this.smartDraw2.BackLayer.SetPenStyle(Color.Blue, 2);
            this.smartDraw2.BackLayer.Line(10, 242 - iValue, 415, 242 - iValue);
        }
        private void UpdateDisplayDotGraphDiff1(DiffData diff)
        {
            string value = "";
            int iValue = 0;
            double dValue = 0.0;

            value = diff.SecBuf.Replace(".", "");
            dValue = int.Parse(value) / this.ScaleDiff;

            if (dValue > 230)
                dValue = 230;
            if (dValue < 1)
                dValue = 3;

            iValue = int.Parse(string.Format("{0:f0}", dValue));

            this.smartDraw1.Chart.PutData(iValue);
        }
        private void UpdateDisplayDotGraphDiff2(DiffData diff)
        {
            string value = "";
            int iValue = 0;
            double dValue = 0.0;

            value = diff.SecBuf.Replace(".", "");
            dValue = int.Parse(value) / this.ScaleDiff;

            if (dValue > 230)
                dValue = 230;
            if (dValue < 1)
                dValue = 3;

            iValue = int.Parse(string.Format("{0:f0}", dValue));

            this.smartDraw2.Chart.PutData(iValue);
        }

        private void UpdateDisplayDotGraphDisp(SmartDraw draw, DispData disp)
        {
            int iValue = 0;
            double dValue = 0.0;

            // 값 표시 범위
            // 15.000 ~ -2.000  (17.000 ~ 0)
            // 그래프 영역 높이 102
            // 17000 / 102 = 166.666666~
            //dValue = (int.Parse(data.CurrentValueSign + data.CurrentValue) + 2000) / 166.66666;

            if (dValue > 110)
                dValue = 110;
            if (dValue < 1)
                dValue = 1;

            iValue = int.Parse(string.Format("{0:f0}", dValue));

            draw.Chart.PutData(iValue);
        }
        public void UpdateEquipmentStatusDisplay(Define.E_EquipmentStatus status)
        {
            if (status == Define.E_EquipmentStatus.Start)
            {
                #region Start
                //this.labelStart.Visible = true;
                //this.labelStop.Visible = false;
                #endregion
            }
            else
            {
                #region Stop
                //this.labelStart.Visible = false;
                //this.labelStop.Visible = true;

                this.InitializeData();
                this.ParentForm.Child_System_Equipment10_1.InitializeData();
                #endregion
            }
        }
        public void UpdateDisplayAlarmView(AlarmList alarm)
        {

        }

        // Process
        public void UpdateDisplayProcessStatus(Define.E_ProcessStatus status)
        {
            switch (status)
            {
                case Define.E_ProcessStatus._0_None:
                    break;
                case Define.E_ProcessStatus._1_Ready:
                    if (this.labelProgress1.BackGroundColor != Define.ColorProgressOn) this.labelProgress1.BackGroundColor = Define.ColorProgressOn;
                    if (this.labelProgress2.BackGroundColor != Define.ColorProgressOff) this.labelProgress2.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress3.BackGroundColor != Define.ColorProgressOff) this.labelProgress3.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress4.BackGroundColor != Define.ColorProgressOff) this.labelProgress4.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress5.BackGroundColor != Define.ColorProgressOff) this.labelProgress5.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress6.BackGroundColor != Define.ColorProgressOff) this.labelProgress6.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress7.BackGroundColor != Define.ColorProgressOff) this.labelProgress7.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress8.BackGroundColor != Define.ColorProgressOff) this.labelProgress8.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress9.BackGroundColor != Define.ColorProgressOff) this.labelProgress9.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress10.BackGroundColor != Define.ColorProgressOff) this.labelProgress10.BackGroundColor = Define.ColorProgressOff;
                    break;
                case Define.E_ProcessStatus._2_ProductEntry:
                    if (this.labelProgress1.BackGroundColor != Define.ColorProgressOff) this.labelProgress1.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress2.BackGroundColor != Define.ColorProgressOn) this.labelProgress2.BackGroundColor = Define.ColorProgressOn;
                    if (this.labelProgress3.BackGroundColor != Define.ColorProgressOff) this.labelProgress3.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress4.BackGroundColor != Define.ColorProgressOff) this.labelProgress4.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress5.BackGroundColor != Define.ColorProgressOff) this.labelProgress5.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress6.BackGroundColor != Define.ColorProgressOff) this.labelProgress6.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress7.BackGroundColor != Define.ColorProgressOff) this.labelProgress7.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress8.BackGroundColor != Define.ColorProgressOff) this.labelProgress8.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress9.BackGroundColor != Define.ColorProgressOff) this.labelProgress9.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress10.BackGroundColor != Define.ColorProgressOff) this.labelProgress10.BackGroundColor = Define.ColorProgressOff;
                   
                    this.InitializeData();
                    break;
                case Define.E_ProcessStatus._3_MoveToLeak:
                    if (this.labelProgress1.BackGroundColor != Define.ColorProgressOff) this.labelProgress1.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress2.BackGroundColor != Define.ColorProgressOff) this.labelProgress2.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress3.BackGroundColor != Define.ColorProgressOn) this.labelProgress3.BackGroundColor = Define.ColorProgressOn;
                    if (this.labelProgress4.BackGroundColor != Define.ColorProgressOff) this.labelProgress4.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress5.BackGroundColor != Define.ColorProgressOff) this.labelProgress5.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress6.BackGroundColor != Define.ColorProgressOff) this.labelProgress6.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress7.BackGroundColor != Define.ColorProgressOff) this.labelProgress7.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress8.BackGroundColor != Define.ColorProgressOff) this.labelProgress8.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress9.BackGroundColor != Define.ColorProgressOff) this.labelProgress9.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress10.BackGroundColor != Define.ColorProgressOff) this.labelProgress10.BackGroundColor = Define.ColorProgressOff;
                    break;
                case Define.E_ProcessStatus._4_MoveToCheck:
                    if (this.labelProgress1.BackGroundColor != Define.ColorProgressOff) this.labelProgress1.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress2.BackGroundColor != Define.ColorProgressOff) this.labelProgress2.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress3.BackGroundColor != Define.ColorProgressOn) this.labelProgress3.BackGroundColor = Define.ColorProgressOn;
                    if (this.labelProgress4.BackGroundColor != Define.ColorProgressOff) this.labelProgress4.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress5.BackGroundColor != Define.ColorProgressOff) this.labelProgress5.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress6.BackGroundColor != Define.ColorProgressOff) this.labelProgress6.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress7.BackGroundColor != Define.ColorProgressOff) this.labelProgress7.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress8.BackGroundColor != Define.ColorProgressOff) this.labelProgress8.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress9.BackGroundColor != Define.ColorProgressOff) this.labelProgress9.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress10.BackGroundColor != Define.ColorProgressOff) this.labelProgress10.BackGroundColor = Define.ColorProgressOff;

                    //this.smartDraw1.Chart.PutDataAllClear();
                    //this.smartDraw2.Chart.PutDataAllClear();
                    this.InitializeMeasuringData();
                    break;
                case Define.E_ProcessStatus._5_ChamberMerge:
                    if (this.labelProgress1.BackGroundColor != Define.ColorProgressOff) this.labelProgress1.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress2.BackGroundColor != Define.ColorProgressOff) this.labelProgress2.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress3.BackGroundColor != Define.ColorProgressOff) this.labelProgress3.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress4.BackGroundColor != Define.ColorProgressOn) this.labelProgress4.BackGroundColor = Define.ColorProgressOn;
                    if (this.labelProgress5.BackGroundColor != Define.ColorProgressOff) this.labelProgress5.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress6.BackGroundColor != Define.ColorProgressOff) this.labelProgress6.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress7.BackGroundColor != Define.ColorProgressOff) this.labelProgress7.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress8.BackGroundColor != Define.ColorProgressOff) this.labelProgress8.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress9.BackGroundColor != Define.ColorProgressOff) this.labelProgress9.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress10.BackGroundColor != Define.ColorProgressOff) this.labelProgress10.BackGroundColor = Define.ColorProgressOff;
                    break;
                case Define.E_ProcessStatus._6_VacuumStart:
                    if (this.labelProgress1.BackGroundColor != Define.ColorProgressOff) this.labelProgress1.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress2.BackGroundColor != Define.ColorProgressOff) this.labelProgress2.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress3.BackGroundColor != Define.ColorProgressOff) this.labelProgress3.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress4.BackGroundColor != Define.ColorProgressOff) this.labelProgress4.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress5.BackGroundColor != Define.ColorProgressOn) this.labelProgress5.BackGroundColor = Define.ColorProgressOn;
                    if (this.labelProgress6.BackGroundColor != Define.ColorProgressOff) this.labelProgress6.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress7.BackGroundColor != Define.ColorProgressOff) this.labelProgress7.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress8.BackGroundColor != Define.ColorProgressOff) this.labelProgress8.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress9.BackGroundColor != Define.ColorProgressOff) this.labelProgress9.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress10.BackGroundColor != Define.ColorProgressOff) this.labelProgress10.BackGroundColor = Define.ColorProgressOff;
                    break;
                case Define.E_ProcessStatus._7_VacuumHold:
                    if (this.labelProgress1.BackGroundColor != Define.ColorProgressOff) this.labelProgress1.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress2.BackGroundColor != Define.ColorProgressOff) this.labelProgress2.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress3.BackGroundColor != Define.ColorProgressOff) this.labelProgress3.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress4.BackGroundColor != Define.ColorProgressOff) this.labelProgress4.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress5.BackGroundColor != Define.ColorProgressOff) this.labelProgress5.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress6.BackGroundColor != Define.ColorProgressOn) this.labelProgress6.BackGroundColor = Define.ColorProgressOn;
                    if (this.labelProgress7.BackGroundColor != Define.ColorProgressOff) this.labelProgress7.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress8.BackGroundColor != Define.ColorProgressOff) this.labelProgress8.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress9.BackGroundColor != Define.ColorProgressOff) this.labelProgress9.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress10.BackGroundColor != Define.ColorProgressOff) this.labelProgress10.BackGroundColor = Define.ColorProgressOff;
                    break;
                case Define.E_ProcessStatus._8_Judgment:
                    if (this.labelProgress1.BackGroundColor != Define.ColorProgressOff) this.labelProgress1.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress2.BackGroundColor != Define.ColorProgressOff) this.labelProgress2.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress3.BackGroundColor != Define.ColorProgressOff) this.labelProgress3.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress4.BackGroundColor != Define.ColorProgressOff) this.labelProgress4.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress5.BackGroundColor != Define.ColorProgressOff) this.labelProgress5.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress6.BackGroundColor != Define.ColorProgressOff) this.labelProgress6.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress7.BackGroundColor != Define.ColorProgressOn) this.labelProgress7.BackGroundColor = Define.ColorProgressOn;
                    if (this.labelProgress8.BackGroundColor != Define.ColorProgressOff) this.labelProgress8.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress9.BackGroundColor != Define.ColorProgressOff) this.labelProgress9.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress10.BackGroundColor != Define.ColorProgressOff) this.labelProgress10.BackGroundColor = Define.ColorProgressOff;
                    break;
                case Define.E_ProcessStatus._9_VacuumBreak:
                    if (this.labelProgress1.BackGroundColor != Define.ColorProgressOff) this.labelProgress1.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress2.BackGroundColor != Define.ColorProgressOff) this.labelProgress2.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress3.BackGroundColor != Define.ColorProgressOff) this.labelProgress3.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress4.BackGroundColor != Define.ColorProgressOff) this.labelProgress4.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress5.BackGroundColor != Define.ColorProgressOff) this.labelProgress5.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress6.BackGroundColor != Define.ColorProgressOff) this.labelProgress6.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress7.BackGroundColor != Define.ColorProgressOff) this.labelProgress7.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress8.BackGroundColor != Define.ColorProgressOn) this.labelProgress8.BackGroundColor = Define.ColorProgressOn;
                    if (this.labelProgress9.BackGroundColor != Define.ColorProgressOff) this.labelProgress9.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress10.BackGroundColor != Define.ColorProgressOff) this.labelProgress10.BackGroundColor = Define.ColorProgressOff;
                    break;
                case Define.E_ProcessStatus._10_ChamberRelease:
                    if (this.labelProgress1.BackGroundColor != Define.ColorProgressOff) this.labelProgress1.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress2.BackGroundColor != Define.ColorProgressOff) this.labelProgress2.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress3.BackGroundColor != Define.ColorProgressOff) this.labelProgress3.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress4.BackGroundColor != Define.ColorProgressOff) this.labelProgress4.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress5.BackGroundColor != Define.ColorProgressOff) this.labelProgress5.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress6.BackGroundColor != Define.ColorProgressOff) this.labelProgress6.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress7.BackGroundColor != Define.ColorProgressOff) this.labelProgress7.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress8.BackGroundColor != Define.ColorProgressOff) this.labelProgress8.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress9.BackGroundColor != Define.ColorProgressOn) this.labelProgress9.BackGroundColor = Define.ColorProgressOn;
                    if (this.labelProgress10.BackGroundColor != Define.ColorProgressOff) this.labelProgress10.BackGroundColor = Define.ColorProgressOff;
                    break;
                case Define.E_ProcessStatus._11_MoveToReady:
                    if (this.labelProgress1.BackGroundColor != Define.ColorProgressOff) this.labelProgress1.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress2.BackGroundColor != Define.ColorProgressOff) this.labelProgress2.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress3.BackGroundColor != Define.ColorProgressOff) this.labelProgress3.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress4.BackGroundColor != Define.ColorProgressOff) this.labelProgress4.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress5.BackGroundColor != Define.ColorProgressOff) this.labelProgress5.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress6.BackGroundColor != Define.ColorProgressOff) this.labelProgress6.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress7.BackGroundColor != Define.ColorProgressOff) this.labelProgress7.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress8.BackGroundColor != Define.ColorProgressOff) this.labelProgress8.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress9.BackGroundColor != Define.ColorProgressOff) this.labelProgress9.BackGroundColor = Define.ColorProgressOff;
                    if (this.labelProgress10.BackGroundColor != Define.ColorProgressOn) this.labelProgress10.BackGroundColor = Define.ColorProgressOn;
                    break;
                default:
                    break;
            }
        }
        public void UpdateDisplayProcessStatusMeasuring1(Define.E_ProcessStatus status, string lane)
        {
            string value = "";

            if (status == Define.E_ProcessStatus._4_MoveToCheck || status == Define.E_ProcessStatus._5_ChamberMerge)
            {
                value = string.Format("Lane {0}", lane);
                if (this.labelMesResult1.Text != value)
                {
                    this.labelMesResult1.Text = value;
                    this.smartGroupBox2.Text = value;
                }
            }
        }
        public void UpdateDisplayProcessStatusMeasuring2(Define.E_ProcessStatus status, string lane)
        {
            string value = "";

            if (status == Define.E_ProcessStatus._4_MoveToCheck || status == Define.E_ProcessStatus._5_ChamberMerge)
            {
                value = string.Format("Lane {0}", lane);
                if (this.labelMesResult2.Text != value)
                {
                    this.labelMesResult2.Text = value;
                    this.smartGroupBox11.Text = value;
                }
            }
        }

        private void UpdateDisplayMeasuringLeakDataDiff1(DiffData data)
        {
            string value = "";

            // 차압센서 데이터
            value = data.MAdc;
            if (this.labelMesDiffMadc1.Text != value)
                this.labelMesDiffMadc1.Text = value;

            value = data.SecBuf;
            if (this.labelMesDiffSecDiff1.Text != value)
                this.labelMesDiffSecDiff1.Text = value;

            value = data.SecBufSum;
            if (this.labelMesDiffSecSum1.Text != value)
                this.labelMesDiffSecSum1.Text = value;

            value = data.SecBufMax;
            if (this.labelMesDiffSecMax1.Text != value)
                this.labelMesDiffSecMax1.Text = value;
        }
        private void UpdateDisplayMeasuringLeakDataDisp1(DispData data)
        {
            string value = "";

            // 변위센서 데이터
            value = data.RData;
            if (this.labelMesDispRData1.Text != value)
                this.labelMesDispRData1.Text = value;

            value = data.MData;
            if (this.labelMesDispMData1.Text != value)
                this.labelMesDispMData1.Text = value;

            value = data.MDataDiff;
            if (this.labelMesDispMDataDiff1.Text != value)
                this.labelMesDispMDataDiff1.Text = value;

            value = data.MDataMax;
            if (this.labelMesDispMDataMax1.Text != value)
                this.labelMesDispMDataMax1.Text = value;

        }
        private void UpdateDisplayMeasuringLeakDataPres1(PressureData data)
        {
            string value = "";

            // 압력 데이터
            value = data.WorkingChamber;
            if (this.labelMesPressureWork1.Text != value)
                this.labelMesPressureWork1.Text = value;

            value = data.MasterChamber;
            if (this.labelMesPressureMaster1.Text != value)
                this.labelMesPressureMaster1.Text = value;
        }
        private void UpdateDisplayMeasuringLeakDataDiff2(DiffData data)
        {
            string value = "";

            // 차압센서 데이터
            value = data.MAdc;
            if (this.labelMesDiffMadc2.Text != value)
                this.labelMesDiffMadc2.Text = value;

            value = data.SecBuf;
            if (this.labelMesDiffSecDiff2.Text != value)
                this.labelMesDiffSecDiff2.Text = value;

            value = data.SecBufSum;
            if (this.labelMesDiffSecSum2.Text != value)
                this.labelMesDiffSecSum2.Text = value;

            value = data.SecBufMax;
            if (this.labelMesDiffSecMax2.Text != value)
                this.labelMesDiffSecMax2.Text = value;
        }
        private void UpdateDisplayMeasuringLeakDataDisp2(DispData data)
        {
            string value = "";

            // 변위센서 데이터
            value = data.RData;
            if (this.labelMesDispRData2.Text != value)
                this.labelMesDispRData2.Text = value;

            value = data.MData;
            if (this.labelMesDispMData2.Text != value)
                this.labelMesDispMData2.Text = value;

            value = data.MDataDiff;
            if (this.labelMesDispMDataDiff2.Text != value)
                this.labelMesDispMDataDiff2.Text = value;

            value = data.MDataMax;
            if (this.labelMesDispMDataMax2.Text != value)
                this.labelMesDispMDataMax2.Text = value;

        }
        private void UpdateDisplayMeasuringLeakDataPres2(PressureData data)
        {
            string value = "";

            // 압력 데이터
            value = data.WorkingChamber;
            if (this.labelMesPressureWork2.Text != value)
                this.labelMesPressureWork2.Text = value;

            value = data.MasterChamber;
            if (this.labelMesPressureMaster2.Text != value)
                this.labelMesPressureMaster2.Text = value;
        }
        // 차압센서 데이터
        public void UpdateDisplayDiffData1(LeakData1 data)
        {
            string value = "";

            value = data.DiffData.SecBufSum;
            if (this.CollectionDiffSecDiff[0].Text != value)
                this.CollectionDiffSecDiff[0].Text = value;

            this.UpdateDisplayMeasuringLeakDataDiff1(data.DiffData);
            this.UpdateDisplayDotGraphDiff1(data.DiffData);
        }
        public void UpdateDisplayDiffData2(LeakData1 data)
        {
            string value = "";

            value = data.DiffData.SecBufSum;
            if (this.CollectionDiffSecDiff[1].Text != value)
                this.CollectionDiffSecDiff[1].Text = value;

            this.UpdateDisplayMeasuringLeakDataDiff1(data.DiffData);
            this.UpdateDisplayDotGraphDiff1(data.DiffData);
        }
        public void UpdateDisplayDiffData3(LeakData1 data)
        {
            string value = "";

            value = data.DiffData.SecBufSum;
            if (this.CollectionDiffSecDiff[2].Text != value)
                this.CollectionDiffSecDiff[2].Text = value;

            this.UpdateDisplayMeasuringLeakDataDiff1(data.DiffData);
            this.UpdateDisplayDotGraphDiff1(data.DiffData);
        }
        public void UpdateDisplayDiffData4(LeakData1 data)
        {
            string value = "";

            value = data.DiffData.SecBufSum;
            if (this.CollectionDiffSecDiff[3].Text != value)
                this.CollectionDiffSecDiff[3].Text = value;

            this.UpdateDisplayMeasuringLeakDataDiff1(data.DiffData);
            this.UpdateDisplayDotGraphDiff1(data.DiffData);
        }
        public void UpdateDisplayDiffData5(LeakData1 data)
        {
            string value = "";

            value = data.DiffData.SecBufSum;
            if (this.CollectionDiffSecDiff[4].Text != value)
                this.CollectionDiffSecDiff[4].Text = value;

            this.UpdateDisplayMeasuringLeakDataDiff1(data.DiffData);
            this.UpdateDisplayDotGraphDiff1(data.DiffData);
        }
        public void UpdateDisplayDiffData6(LeakData1 data)
        {
            string value = "";

            value = data.DiffData.SecBufSum;
            if (this.CollectionDiffSecDiff[5].Text != value)
                this.CollectionDiffSecDiff[5].Text = value;

            this.UpdateDisplayMeasuringLeakDataDiff1(data.DiffData);
            this.UpdateDisplayDotGraphDiff1(data.DiffData);
        }
        public void UpdateDisplayDiffData7(LeakData1 data)
        {
            string value = "";

            value = data.DiffData.SecBufSum;
            if (this.CollectionDiffSecDiff[6].Text != value)
                this.CollectionDiffSecDiff[6].Text = value;

            this.UpdateDisplayMeasuringLeakDataDiff2(data.DiffData);
            this.UpdateDisplayDotGraphDiff2(data.DiffData);
        }
        public void UpdateDisplayDiffData8(LeakData1 data)
        {
            string value = "";

            value = data.DiffData.SecBufSum;
            if (this.CollectionDiffSecDiff[7].Text != value)
                this.CollectionDiffSecDiff[7].Text = value;

            this.UpdateDisplayMeasuringLeakDataDiff2(data.DiffData);
            this.UpdateDisplayDotGraphDiff2(data.DiffData);
        }
        public void UpdateDisplayDiffData9(LeakData1 data)
        {
            string value = "";

            value = data.DiffData.SecBufSum;
            if (this.CollectionDiffSecDiff[8].Text != value)
                this.CollectionDiffSecDiff[8].Text = value;

            this.UpdateDisplayMeasuringLeakDataDiff2(data.DiffData);
            this.UpdateDisplayDotGraphDiff2(data.DiffData);
        }
        public void UpdateDisplayDiffData10(LeakData1 data)
        {
            string value = "";

            value = data.DiffData.SecBufSum;
            if (this.CollectionDiffSecDiff[9].Text != value)
                this.CollectionDiffSecDiff[9].Text = value;

            this.UpdateDisplayMeasuringLeakDataDiff2(data.DiffData);
            this.UpdateDisplayDotGraphDiff2(data.DiffData);
        }
        public void UpdateDisplayDiffData11(LeakData1 data)
        {
            string value = "";

            value = data.DiffData.SecBufSum;
            if (this.CollectionDiffSecDiff[10].Text != value)
                this.CollectionDiffSecDiff[10].Text = value;

            this.UpdateDisplayMeasuringLeakDataDiff2(data.DiffData);
            this.UpdateDisplayDotGraphDiff2(data.DiffData);
        }
        public void UpdateDisplayDiffData12(LeakData1 data)
        {
            string value = "";

            value = data.DiffData.SecBufSum;
            if (this.CollectionDiffSecDiff[11].Text != value)
                this.CollectionDiffSecDiff[11].Text = value;

            this.UpdateDisplayMeasuringLeakDataDiff2(data.DiffData);
            this.UpdateDisplayDotGraphDiff2(data.DiffData);
        }
        // 변위센서 데이터
        public void UpdateDisplayDispData1(LeakData1 data)
        {
            this.UpdateDisplayMeasuringLeakDataDisp1(data.DispData);
        }
        public void UpdateDisplayDispData2(LeakData1 data)
        {
            this.UpdateDisplayMeasuringLeakDataDisp1(data.DispData);
        }
        public void UpdateDisplayDispData3(LeakData1 data)
        {
            this.UpdateDisplayMeasuringLeakDataDisp1(data.DispData);
        }
        public void UpdateDisplayDispData4(LeakData1 data)
        {
            this.UpdateDisplayMeasuringLeakDataDisp1(data.DispData);
        }
        public void UpdateDisplayDispData5(LeakData1 data)
        {
            this.UpdateDisplayMeasuringLeakDataDisp1(data.DispData);
        }
        public void UpdateDisplayDispData6(LeakData1 data)
        {
            this.UpdateDisplayMeasuringLeakDataDisp1(data.DispData);
        }
        public void UpdateDisplayDispData7(LeakData1 data)
        {
            this.UpdateDisplayMeasuringLeakDataDisp2(data.DispData);
        }
        public void UpdateDisplayDispData8(LeakData1 data)
        {
            this.UpdateDisplayMeasuringLeakDataDisp2(data.DispData);
        }
        public void UpdateDisplayDispData9(LeakData1 data)
        {
            this.UpdateDisplayMeasuringLeakDataDisp2(data.DispData);
        }
        public void UpdateDisplayDispData10(LeakData1 data)
        {
            this.UpdateDisplayMeasuringLeakDataDisp2(data.DispData);
        }
        public void UpdateDisplayDispData11(LeakData1 data)
        {
            this.UpdateDisplayMeasuringLeakDataDisp2(data.DispData);
        }
        public void UpdateDisplayDispData12(LeakData1 data)
        {
            this.UpdateDisplayMeasuringLeakDataDisp2(data.DispData);
        }
        // 압력센서 데이터
        public void UpdateDisplayPresData1(LeakData1 data)
        {
            string value = "";

            value = data.PresData.WorkingChamber;
            if (this.CollectionPressureWork[0].Text != value)
                this.CollectionPressureWork[0].Text = value;

            value = data.PresData.MasterChamber;
            if (this.CollectionPressureMaster[0].Text != value)
                this.CollectionPressureMaster[0].Text = value;

            this.UpdateDisplayMeasuringLeakDataPres1(data.PresData);
        }
        public void UpdateDisplayPresData2(LeakData1 data)
        {
            string value = "";

            value = data.PresData.WorkingChamber;
            if (this.CollectionPressureWork[1].Text != value)
                this.CollectionPressureWork[1].Text = value;

            value = data.PresData.MasterChamber;
            if (this.CollectionPressureMaster[1].Text != value)
                this.CollectionPressureMaster[1].Text = value;

            this.UpdateDisplayMeasuringLeakDataPres1(data.PresData);
        }
        public void UpdateDisplayPresData3(LeakData1 data)
        {
            string value = "";

            value = data.PresData.WorkingChamber;
            if (this.CollectionPressureWork[2].Text != value)
                this.CollectionPressureWork[2].Text = value;

            value = data.PresData.MasterChamber;
            if (this.CollectionPressureMaster[2].Text != value)
                this.CollectionPressureMaster[2].Text = value;

            this.UpdateDisplayMeasuringLeakDataPres1(data.PresData);
        }
        public void UpdateDisplayPresData4(LeakData1 data)
        {
            string value = "";

            value = data.PresData.WorkingChamber;
            if (this.CollectionPressureWork[3].Text != value)
                this.CollectionPressureWork[3].Text = value;

            value = data.PresData.MasterChamber;
            if (this.CollectionPressureMaster[3].Text != value)
                this.CollectionPressureMaster[3].Text = value;

            this.UpdateDisplayMeasuringLeakDataPres1(data.PresData);
        }
        public void UpdateDisplayPresData5(LeakData1 data)
        {
            string value = "";

            value = data.PresData.WorkingChamber;
            if (this.CollectionPressureWork[4].Text != value)
                this.CollectionPressureWork[4].Text = value;

            value = data.PresData.MasterChamber;
            if (this.CollectionPressureMaster[4].Text != value)
                this.CollectionPressureMaster[4].Text = value;

            this.UpdateDisplayMeasuringLeakDataPres1(data.PresData);
        }
        public void UpdateDisplayPresData6(LeakData1 data)
        {
            string value = "";

            value = data.PresData.WorkingChamber;
            if (this.CollectionPressureWork[5].Text != value)
                this.CollectionPressureWork[5].Text = value;

            value = data.PresData.MasterChamber;
            if (this.CollectionPressureMaster[5].Text != value)
                this.CollectionPressureMaster[5].Text = value;

            this.UpdateDisplayMeasuringLeakDataPres1(data.PresData);
        }
        public void UpdateDisplayPresData7(LeakData1 data)
        {
            string value = "";

            value = data.PresData.WorkingChamber;
            if (this.CollectionPressureWork[6].Text != value)
                this.CollectionPressureWork[6].Text = value;

            value = data.PresData.MasterChamber;
            if (this.CollectionPressureMaster[6].Text != value)
                this.CollectionPressureMaster[6].Text = value;

            this.UpdateDisplayMeasuringLeakDataPres2(data.PresData);
        }
        public void UpdateDisplayPresData8(LeakData1 data)
        {
            string value = "";

            value = data.PresData.WorkingChamber;
            if (this.CollectionPressureWork[7].Text != value)
                this.CollectionPressureWork[7].Text = value;

            value = data.PresData.MasterChamber;
            if (this.CollectionPressureMaster[7].Text != value)
                this.CollectionPressureMaster[7].Text = value;

            this.UpdateDisplayMeasuringLeakDataPres2(data.PresData);
        }
        public void UpdateDisplayPresData9(LeakData1 data)
        {
            string value = "";

            value = data.PresData.WorkingChamber;
            if (this.CollectionPressureWork[8].Text != value)
                this.CollectionPressureWork[8].Text = value;

            value = data.PresData.MasterChamber;
            if (this.CollectionPressureMaster[8].Text != value)
                this.CollectionPressureMaster[8].Text = value;

            this.UpdateDisplayMeasuringLeakDataPres2(data.PresData);
        }
        public void UpdateDisplayPresData10(LeakData1 data)
        {
            string value = "";

            value = data.PresData.WorkingChamber;
            if (this.CollectionPressureWork[9].Text != value)
                this.CollectionPressureWork[9].Text = value;

            value = data.PresData.MasterChamber;
            if (this.CollectionPressureMaster[9].Text != value)
                this.CollectionPressureMaster[9].Text = value;

            this.UpdateDisplayMeasuringLeakDataPres2(data.PresData);
        }
        public void UpdateDisplayPresData11(LeakData1 data)
        {
            string value = "";

            value = data.PresData.WorkingChamber;
            if (this.CollectionPressureWork[10].Text != value)
                this.CollectionPressureWork[10].Text = value;

            value = data.PresData.MasterChamber;
            if (this.CollectionPressureMaster[10].Text != value)
                this.CollectionPressureMaster[10].Text = value;

            this.UpdateDisplayMeasuringLeakDataPres2(data.PresData);
        }
        public void UpdateDisplayPresData12(LeakData1 data)
        {
            string value = "";

            value = data.PresData.WorkingChamber;
            if (this.CollectionPressureWork[11].Text != value)
                this.CollectionPressureWork[11].Text = value;

            value = data.PresData.MasterChamber;
            if (this.CollectionPressureMaster[11].Text != value)
                this.CollectionPressureMaster[11].Text = value;

            this.UpdateDisplayMeasuringLeakDataPres2(data.PresData);
        }
        // 판정결과
        public void UpdateDisplayJudgmentData1(LeakData1 data)
        {
            this.GetJudgmentResult(data.Judgment.Result, this.CollectionLabelResult[0]);

            if (data.Judgment.Result == Define.E_JudgmentStatus.Empty || data.Judgment.Result == Define.E_JudgmentStatus.Error)
            {
                this.GetJudgmentResultDiff(Define.E_JudgmentStatus.Empty, this.CollectionLabelResultDiff[0]);
                this.GetJudgmentResultDisp(Define.E_JudgmentStatus.Empty, this.CollectionLabelResultDisp[0]);
            }
            else
            {
                this.GetJudgmentResultDiff(data.Judgment.DIFF_Result, this.CollectionLabelResultDiff[0]);
                this.GetJudgmentResultDisp(data.Judgment.DISP_Result, this.CollectionLabelResultDisp[0]);
            }
        }
        public void UpdateDisplayJudgmentData2(LeakData1 data)
        {
            this.GetJudgmentResult(data.Judgment.Result, this.CollectionLabelResult[1]);

            if (data.Judgment.Result == Define.E_JudgmentStatus.Empty || data.Judgment.Result == Define.E_JudgmentStatus.Error)
            {
                this.GetJudgmentResultDiff(Define.E_JudgmentStatus.Empty, this.CollectionLabelResultDiff[1]);
                this.GetJudgmentResultDisp(Define.E_JudgmentStatus.Empty, this.CollectionLabelResultDisp[1]);
            }
            else
            {
                this.GetJudgmentResultDiff(data.Judgment.DIFF_Result, this.CollectionLabelResultDiff[1]);
                this.GetJudgmentResultDisp(data.Judgment.DISP_Result, this.CollectionLabelResultDisp[1]);
            }
        }
        public void UpdateDisplayJudgmentData3(LeakData1 data)
        {
            this.GetJudgmentResult(data.Judgment.Result, this.CollectionLabelResult[2]);

            if (data.Judgment.Result == Define.E_JudgmentStatus.Empty || data.Judgment.Result == Define.E_JudgmentStatus.Error)
            {
                this.GetJudgmentResultDiff(Define.E_JudgmentStatus.Empty, this.CollectionLabelResultDiff[2]);
                this.GetJudgmentResultDisp(Define.E_JudgmentStatus.Empty, this.CollectionLabelResultDisp[2]);
            }
            else
            {
                this.GetJudgmentResultDiff(data.Judgment.DIFF_Result, this.CollectionLabelResultDiff[2]);
                this.GetJudgmentResultDisp(data.Judgment.DISP_Result, this.CollectionLabelResultDisp[2]);
            }
        }
        public void UpdateDisplayJudgmentData4(LeakData1 data)
        {
            this.GetJudgmentResult(data.Judgment.Result, this.CollectionLabelResult[3]);

            if (data.Judgment.Result == Define.E_JudgmentStatus.Empty || data.Judgment.Result == Define.E_JudgmentStatus.Error)
            {
                this.GetJudgmentResultDiff(Define.E_JudgmentStatus.Empty, this.CollectionLabelResultDiff[3]);
                this.GetJudgmentResultDisp(Define.E_JudgmentStatus.Empty, this.CollectionLabelResultDisp[3]);
            }
            else
            {
                this.GetJudgmentResultDiff(data.Judgment.DIFF_Result, this.CollectionLabelResultDiff[3]);
                this.GetJudgmentResultDisp(data.Judgment.DISP_Result, this.CollectionLabelResultDisp[3]);
            }
        }
        public void UpdateDisplayJudgmentData5(LeakData1 data)
        {
            this.GetJudgmentResult(data.Judgment.Result, this.CollectionLabelResult[4]);

            if (data.Judgment.Result == Define.E_JudgmentStatus.Empty || data.Judgment.Result == Define.E_JudgmentStatus.Error)
            {
                this.GetJudgmentResultDiff(Define.E_JudgmentStatus.Empty, this.CollectionLabelResultDiff[4]);
                this.GetJudgmentResultDisp(Define.E_JudgmentStatus.Empty, this.CollectionLabelResultDisp[4]);
            }
            else
            {
                this.GetJudgmentResultDiff(data.Judgment.DIFF_Result, this.CollectionLabelResultDiff[4]);
                this.GetJudgmentResultDisp(data.Judgment.DISP_Result, this.CollectionLabelResultDisp[4]);
            }
        }
        public void UpdateDisplayJudgmentData6(LeakData1 data)
        {
            this.GetJudgmentResult(data.Judgment.Result, this.CollectionLabelResult[5]);

            if (data.Judgment.Result == Define.E_JudgmentStatus.Empty || data.Judgment.Result == Define.E_JudgmentStatus.Error)
            {
                this.GetJudgmentResultDiff(Define.E_JudgmentStatus.Empty, this.CollectionLabelResultDiff[5]);
                this.GetJudgmentResultDisp(Define.E_JudgmentStatus.Empty, this.CollectionLabelResultDisp[5]);
            }
            else
            {
                this.GetJudgmentResultDiff(data.Judgment.DIFF_Result, this.CollectionLabelResultDiff[5]);
                this.GetJudgmentResultDisp(data.Judgment.DISP_Result, this.CollectionLabelResultDisp[5]);
            }
        }
        public void UpdateDisplayJudgmentData7(LeakData1 data)
        {
            this.GetJudgmentResult(data.Judgment.Result, this.CollectionLabelResult[6]);

            if (data.Judgment.Result == Define.E_JudgmentStatus.Empty || data.Judgment.Result == Define.E_JudgmentStatus.Error)
            {
                this.GetJudgmentResultDiff(Define.E_JudgmentStatus.Empty, this.CollectionLabelResultDiff[6]);
                this.GetJudgmentResultDisp(Define.E_JudgmentStatus.Empty, this.CollectionLabelResultDisp[6]);
            }
            else
            {
                this.GetJudgmentResultDiff(data.Judgment.DIFF_Result, this.CollectionLabelResultDiff[6]);
                this.GetJudgmentResultDisp(data.Judgment.DISP_Result, this.CollectionLabelResultDisp[6]);
            }
        }
        public void UpdateDisplayJudgmentData8(LeakData1 data)
        {
            this.GetJudgmentResult(data.Judgment.Result, this.CollectionLabelResult[7]);

            if (data.Judgment.Result == Define.E_JudgmentStatus.Empty || data.Judgment.Result == Define.E_JudgmentStatus.Error)
            {
                this.GetJudgmentResultDiff(Define.E_JudgmentStatus.Empty, this.CollectionLabelResultDiff[7]);
                this.GetJudgmentResultDisp(Define.E_JudgmentStatus.Empty, this.CollectionLabelResultDisp[7]);
            }
            else
            {
                this.GetJudgmentResultDiff(data.Judgment.DIFF_Result, this.CollectionLabelResultDiff[7]);
                this.GetJudgmentResultDisp(data.Judgment.DISP_Result, this.CollectionLabelResultDisp[7]);
            }
        }
        public void UpdateDisplayJudgmentData9(LeakData1 data)
        {
            this.GetJudgmentResult(data.Judgment.Result, this.CollectionLabelResult[8]);

            if (data.Judgment.Result == Define.E_JudgmentStatus.Empty || data.Judgment.Result == Define.E_JudgmentStatus.Error)
            {
                this.GetJudgmentResultDiff(Define.E_JudgmentStatus.Empty, this.CollectionLabelResultDiff[8]);
                this.GetJudgmentResultDisp(Define.E_JudgmentStatus.Empty, this.CollectionLabelResultDisp[8]);
            }
            else
            {
                this.GetJudgmentResultDiff(data.Judgment.DIFF_Result, this.CollectionLabelResultDiff[8]);
                this.GetJudgmentResultDisp(data.Judgment.DISP_Result, this.CollectionLabelResultDisp[8]);
            }
        }
        public void UpdateDisplayJudgmentData10(LeakData1 data)
        {
            this.GetJudgmentResult(data.Judgment.Result, this.CollectionLabelResult[9]);

            if (data.Judgment.Result == Define.E_JudgmentStatus.Empty || data.Judgment.Result == Define.E_JudgmentStatus.Error)
            {
                this.GetJudgmentResultDiff(Define.E_JudgmentStatus.Empty, this.CollectionLabelResultDiff[9]);
                this.GetJudgmentResultDisp(Define.E_JudgmentStatus.Empty, this.CollectionLabelResultDisp[9]);
            }
            else
            {
                this.GetJudgmentResultDiff(data.Judgment.DIFF_Result, this.CollectionLabelResultDiff[9]);
                this.GetJudgmentResultDisp(data.Judgment.DISP_Result, this.CollectionLabelResultDisp[9]);
            }
        }
        public void UpdateDisplayJudgmentData11(LeakData1 data)
        {
            this.GetJudgmentResult(data.Judgment.Result, this.CollectionLabelResult[10]);

            if (data.Judgment.Result == Define.E_JudgmentStatus.Empty || data.Judgment.Result == Define.E_JudgmentStatus.Error)
            {
                this.GetJudgmentResultDiff(Define.E_JudgmentStatus.Empty, this.CollectionLabelResultDiff[10]);
                this.GetJudgmentResultDisp(Define.E_JudgmentStatus.Empty, this.CollectionLabelResultDisp[10]);
            }
            else
            {
                this.GetJudgmentResultDiff(data.Judgment.DIFF_Result, this.CollectionLabelResultDiff[10]);
                this.GetJudgmentResultDisp(data.Judgment.DISP_Result, this.CollectionLabelResultDisp[10]);
            }
        }
        public void UpdateDisplayJudgmentData12(LeakData1 data)
        {
            this.GetJudgmentResult(data.Judgment.Result, this.CollectionLabelResult[11]);

            if (data.Judgment.Result == Define.E_JudgmentStatus.Empty || data.Judgment.Result == Define.E_JudgmentStatus.Error)
            {
                this.GetJudgmentResultDiff(Define.E_JudgmentStatus.Empty, this.CollectionLabelResultDiff[11]);
                this.GetJudgmentResultDisp(Define.E_JudgmentStatus.Empty, this.CollectionLabelResultDisp[11]);
            }
            else
            {
                this.GetJudgmentResultDiff(data.Judgment.DIFF_Result, this.CollectionLabelResultDiff[11]);
                this.GetJudgmentResultDisp(data.Judgment.DISP_Result, this.CollectionLabelResultDisp[11]);
            }
        }

        public void DisplayRefresh()
        {
            this.ParentForm.ParentForm.CurrentSystemStatus.CurrentDisplayMode = Define.E_DisplayModeStore.Equipment1;
            this.ParentForm.ParentForm.SetDisplayMode(Define.E_EquipmentMode.Normal);

            if (this.ParentForm.ParentForm.CurrentSystemStatus.EquipmentStatus == Define.E_EquipmentStatus.Stop)
            {
                this.CalScaleDiff(this.ParentForm.ParentForm.CurrentRecipe.DIFF_LR_LIMIT);
                this.DrawDiffReferenceLine(this.ParentForm.ParentForm.CurrentRecipe.DIFF_LR_LIMIT);
                
                // 화면 데이터 초기화
                this.InitializeData();
                this.ParentForm.Child_System_Equipment10_1.InitializeData();
            }
            else
            {
               
            }

            if (this.ParentForm.ParentForm.CurrentRecipe.DISP_JUDG_ENABLE == false)
            {
                this.labelMesDispMData1.Enabled = false;
                this.labelMesDispMData2.Enabled = false;
                this.labelMesDispMDataDiff1.Enabled = false;
                this.labelMesDispMDataDiff2.Enabled = false;
                this.labelMesDispMDataMax1.Enabled = false;
                this.labelMesDispMDataMax2.Enabled = false;
                this.labelMesDispRData1.Enabled = false;
                this.labelMesDispRData2.Enabled = false;

                this.smartLabel32.Enabled = false;
                this.smartLabel30.Enabled = false;
                this.smartLabel53.Enabled = false;
                this.smartLabel48.Enabled = false;

                this.smartLabel93.Enabled = false;
                this.smartLabel91.Enabled = false;
                this.smartLabel126.Enabled = false;
                this.smartLabel124.Enabled = false;
            }
            else
            {
                this.labelMesDispMData1.Enabled = true;
                this.labelMesDispMData2.Enabled = true;
                this.labelMesDispMDataDiff1.Enabled = true;
                this.labelMesDispMDataDiff2.Enabled = true;
                this.labelMesDispMDataMax1.Enabled = true;
                this.labelMesDispMDataMax2.Enabled = true;
                this.labelMesDispRData1.Enabled = true;
                this.labelMesDispRData2.Enabled = true;

                this.smartLabel32.Enabled = true;
                this.smartLabel30.Enabled = true;
                this.smartLabel53.Enabled = true;
                this.smartLabel48.Enabled = true;

                this.smartLabel93.Enabled = true;
                this.smartLabel91.Enabled = true;
                this.smartLabel126.Enabled = true;
                this.smartLabel124.Enabled = true;
            }
        }
        #endregion

        #region Event Handler
        private void buttonInspection_Click(object sender, EventArgs e)
        {
            this.InitializeData();
            this.ParentForm.Child_System_Equipment10_1.InitializeData();
            this.ParentForm.ParentForm.TransferData_Master(CommunicationCommand.CutInpupt, CommunicationID.MainBoardMaster);
        }
        private void buttonDisplay_Click(object sender, EventArgs e)
        {
            this.ParentForm.UpdateDisplayEquipmentTest();
        }
        private void buttonContinuousTest_Click(object sender, EventArgs e)
        {
            if (this.buttonContinuousTest.ButtonStatus == SmartButton.BUTSTATUS.DOWN)
            {
                this.InitializeData();
                this.ParentForm.ParentForm.TransferData_Master(CommunicationCommand.CutInpupt, CommunicationID.MainBoardMaster);
                this.smartTimer.Start();
            }
            else
                this.smartTimer.Stop();
        }

        private void smartTimer_Tick(object sender, EventArgs e)
        {
            this.InitializeData();
            this.ParentForm.ParentForm.TransferData_Master(CommunicationCommand.CutInpupt, CommunicationID.MainBoardMaster);
        }
        #endregion
    }
}
